Bug 135249 - Assertion failed on line 1075 of file gfs-kernel/src/gfs/inode.c
Assertion failed on line 1075 of file gfs-kernel/src/gfs/inode.c
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 08:24 EDT by Alexander Laamanen
Modified: 2010-01-11 21:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 16:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Laamanen 2004-10-11 08:24:08 EDT
Description of problem:
I get the following assertion failure with a program that creates a
big directory structure (Maildirs) in parallel.

The system:
- 2 nodes (SMP)
- 3TB GFS partition
- lock_dlm in use
- the test (creates the dirs) running on one node

The assertion:
block = 1337571

GFS: Assertion failed on line 1075 of file
/home/klaamane/rpm/BUILD/gfs/gfs-kernel/src/gfs/inode.c
GFS: assertion: "rgd"
GFS: time = 1073480610
GFS: fsid=infra:mail.0

Kernel panic: GFS: Record message above and reboot.

 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c72b>] sync_inodes+0x16/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225
 [<0217bd21>] write_inode+0x30/0x33
 [<0217bdb8>] __sync_single_inode+0x94/0x209
 [<0217c00c>] __writeback_single_inode+0xdf/0xe5
 [<0217c1bb>] sync_sb_inodes+0x1a9/0x2d1
 [<0217c556>] sync_inodes_sb+0x9c/0xd2
 [<0217c6af>] get_super_to_sync+0xa0/0x106
 [<0217c761>] sync_inodes+0x4c/0x6c
 [<0215c8a5>] do_sync+0x35/0x55
 [<0215c8cf>] sys_sync+0xa/0xd
 [<02120c1f>] panic+0x7b/0x121
 [<82b656c2>] gfs_io_error_i+0x0/0x7a [gfs]
 [<82b4d1bb>] make_dinode+0x1c1/0x2a4 [gfs]
 [<82b4d4e4>] inode_init_and_link+0x246/0x342 [gfs]
 [<82b495f7>] gfs_glock_nq_init+0x13/0x26 [gfs]
 [<82b49648>] gfs_glock_nq_num+0x2e/0x6a [gfs]
 [<82b4d78f>] gfs_createi+0x1af/0x1f1 [gfs]
 [<82b5a895>] gfs_mkdir+0x6a/0x2fd [gfs]
 [<82b491bc>] gfs_glock_dq+0x1a8/0x1d6 [gfs]
 [<02167dcf>] permission+0x41/0x46
 [<0216a3fd>] vfs_mkdir+0xb0/0xe6
 [<0216a4b8>] sys_mkdir+0x85/0xde
 [<0210793f>] do_IRQ+0x218/0x225


Version-Release number of selected component (if applicable):
cvs head 2004-10-11

How reproducible:


Steps to Reproduce:
1. Create a big number of dirs in parallel
Comment 1 Ken Preslan 2004-10-13 16:42:30 EDT
Fix bug #135249 with a lot of help from Dave Teigland.  Ever since the
create transaction was broken into two transactions, it was possible
for the second transaction to happen without having to allocate disk
space.  When this happened, GFS wasn't locking the resource index
before searching it.  Add the correct locking.


Note You need to log in before you can comment on or make changes to this bug.